
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>让C++也支持RMI / iVAN</title>

    <meta name="description" content="让C++也支持RMI 由于没有类似java的&quot;反射&quot;机制,标准C++下实现RMI似乎有些困难.为C++程序员所熟悉的Boost库虽然有RCF实现了类似RMI的功能,但RCF本身需依赖于Boost::serlization支持,而serlization需要编译之后方可使用,且有诸多限制. 本文试图通过C++特有的代码复用机制模拟实现具有类似RMI功能的类库,虽然不能完全实现java的RMI功能,但较之以往的C/S编程模式有了很大改观,且文中涉及很多C++代码复用技术例如模板,纯虚函数,方法对象等,希 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">让C++也支持RMI</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>由于没有类似java的“反射”机制，标准C++下实现RMI似乎有些困难。为C++程序员所熟悉的Boost库虽然有RCF实现了类似RMI的功能，但RCF本身需依赖于Boost::serlization支持，而serlization需要编译之后方可使用，且有诸多限制。</p>
<p>本文试图通过C++特有的代码复用机制模拟实现具有类似RMI功能的类库，虽然不能完全实现java的RMI功能，但较之以往的C/S编程模式有了很大改观，且文中涉及很多C++代码复用技术例如模板，纯虚函数，方法对象等，希望对C++初学者有一定的帮助。</p>
<p>作者才疏学浅，如有不当之处还请读者指正。</p>
<p>关键字</p>
<p>RMI，反射，远程方法访问，虚函数，函数对象，默认模板参数，宏替换。</p>
<p>由一个例子说起</p>
<p>以下实现一个简单的客户端与服务器通讯的例子。例子采用传统的C/S模式，内容很简单，客户端通过调用服务器端的方法向服务器发送数据并接收返回值。</p>
<p>为方便起见，下面分客户端与服务器分别介绍实现。</p>
<p>服务器端</p>
<p>步骤1</p>
<p>创建一个类“Calculate”。</p>
<pre>
class Calculate{public:	int sum(int a,int b)	{		printf("int类型的sum方法被调用\r\n");		t1=a;		t2=b;		return (int)(a+b);	}	double sum(double a,double b)	{		printf("double类型的sum方法被调用\r\n");		t1=a;		t2=b;		return (a+b);	}	int GetInput()	{		int a;		printf("请输入一个整数以便传输至客户端:\r\n");		scanf("%d",&amp;a);		return a;	}	Student GetStudent(Teacher tt)	{//Student ,Teacher 均为自定义类型		student ts;		ts.age=10;		printf("GetStuden方法被调用\r\n teacher 的名称以及年龄为: %s  %d\r\n",tt.name,tt.age);		strcpy(ts.name,"StudentJim");		ts.sex=1;		return ts;	}	int t1;	int t2;};</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索c++<br />
                    ，                客户端<br />
                    ，                服务器<br />
                    ，                int<br />
                    ，                方法<br />
                    ，                double<br />
                    ，                c++ 客户端<br />
                    ，                getinput函数<br />
                                    TT模板<br />
                                    hypothermic、c rmi、小米4c支持otg吗、vs2015支持c11吗、gcc哪个版本支持c11，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 07:31:42</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e5%ae%a2%e6%88%b7%e7%ab%af/" title="客户端">客户端</a>, <a href="https://www.iamivan.net/tag/int/" title="int">int</a>, <a href="https://www.iamivan.net/tag/double/" title="double">double</a>, <a href="https://www.iamivan.net/tag/c-%e5%ae%a2%e6%88%b7%e7%ab%af/" title="c&num;客户端">c&num;客户端</a>, <a href="https://www.iamivan.net/tag/getinput%e5%87%bd%e6%95%b0/" title="getinput函数">getinput函数</a>, <a href="https://www.iamivan.net/tag/tt%e6%a8%a1%e6%9d%bf/" title="TT模板">TT模板</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>让C++也支持RMI的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJKwbx.html" rel="bookmark">［翻译］JDK 8 兼容性指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				翻译官方文档,删除部分可忽略. 译者:坤谷,井桐,激酶 兼容性是一个复杂的问题. 本文介绍了Java平台潜在的三种不兼容问题: 源码: 源码兼容性问题关注Java源代码转换成class文件是否兼容,包括代码是否仍然可编译. 二进制: 在Java语言规范中,二进制兼容性定义为:&quot;类的改变是二进制兼容的(或者不破坏二进制兼容性),是指如果改变前的类的二进制在链接时没有错误,那么改变后的类在链接时仍然没有错误.&quot; 行为 : 行为兼容性包括在运行时执行的代码的语义. 欲了解更多信息,请参阅Op			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlZONz.html" rel="bookmark">Web Services和其他的技术的比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				services|web|比较   XMLHTTP与SOAP:    XML是web serivces的核心基础技术,是SOAP实现的关键所在:而XMLHTTP就是根据XML来设计的.从实现的方式上讲:XMLHTTP是基于浏览器的,只要有IE,就能实现向服务器传递XML字符串,具有很高的通用性.但是浏览器不是用来做XMLHTTP,它是面向大众用户浏览的,如果能用XML完成各种操作,必然会影响到用户.比如以前版本的msxml的对应浏览器,是可以访问客户端XML文档(初始时为XMLHTTP设计的),			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKgOdb.html" rel="bookmark">J2EE vs&period; Microsoft&period;NET 之 Web Services</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				j2ee|services|web J2EE vs. Microsoft.NET 之 Web Services             --建置XML架构的Web Services之比较作者:佚名    本文选自:CNJSP  2002年04月30日 I. 序 在本文中,我们将深入的比较两种可用来建置商业XML Web Services的平台,分别是Sun Microsystems 所提供的Java 2 Enterprise Edition (J2EE)以及Microsoft所提供的 .NET平			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ywqQz.html" rel="bookmark">远程接口的实施</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				服务器必须包含一个扩展了UnicastRemoteObject的类,并实现远程接口.这个类也可以含有附加的方法,但客户只能使用远程接口中的方法.这是显然的,因为客户得到的只是指向接口的一个句柄,而非实现它的那个类. 必须为远程对象明确定义构建器,即使只准备定义一个默认构建器,用它调用基础类构建器.必须把它明确地编写出来,因为它必须&quot;掷&quot;出RemoteException违例. 下面列出远程接口PerfectTime的实施过程:   //: PerfectTime.java // The			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxX6Ob.html" rel="bookmark">常见Java开源JMS消息中间件及特性简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JMS开源消息中间件有很多,本文对常见的几种进行了列举和简单比较,希望对MOM选型的个人和企业有所帮助. mom4j mom4j是一个完全实现JMS1.1规范的消息中间件并且向下兼容JMS1.0与1.02.它提供了自己的消息处理存储使它独立于关系数据与语言,所以它的客户端可以用任何语言开发. OpenJMS OpenJMS是一个开源的Java Message Service API 1.0.2 规范的实现,它包含有以下特性: *. 它既支持点到点(point-to-point)(PTP)模型和发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPRGKz.html" rel="bookmark">Enterprise JavaBeans组件慨述之三</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				布署和使用 Enterprise JavaBeans 组件 本文的第 3 部分说明 Enterprise JavaBeans 组件的部署过程,部署并不仅仅是安装,因为它通常还涉及代码生成.部署还使用了一个特殊的部署描述符文件,此文件支持控制企业级 bean 行为(如某个 bean 是否需要事务)的参数.bean 部署的这一特性支持 bean 行为的说明性.纲领性规范的 EJB 目标.第 3 部分还比较了持久性的两种主要类型,bean 管理式持久性和容器管理式持久性,并讨论了 EJB 组件与 CO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7knOZz.html" rel="bookmark">Jini设备及其应用实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Jini技术的出现,使得Java在成功地为网络设备的计算提供了合适的平台之后,更为网络设备,尤其是家庭网络下的消费类电子设备提供了一个全新的网络计算结构,从而实现了人们期待已久的网络设备的即插即用. 对Jini设备的硬件要求 虽然Jini本身是一个软件系统,但是一个真正投入使用的Jini系统则由一系列软件和相应的硬件组成.显然,以往一般的电子设备是不可能直接加入到Jini系统中来的.我们只有全面了解支持Jini技术的硬件规范,才会对Jini技术的未来有一个更深入的了解. Jini结构需要以Jav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgK9B8M.html" rel="bookmark">基于Spring实现远程服务编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.引言 从根本上分析,Remoting实际上是一种企业分布式计算的组件.在同一服务器(Java虚拟机)内进行调用的服务(或类)并不需要把自己暴露为一种远程服务:但是,如果你需要与一个外部程序(在不同的服务器上或在一个不同的组织中)进行通讯的话,那么,必须把它实现为一个远程服务.Spring框架为把业务类暴露为远程服务提供了一种独特而灵活的方式. Spring Remoting架构的核心是服务对象,这些对象其实是一些POJO,也称作Spring bean.Spring框架能够把这些服务对象与基础			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5oKBDb.html" rel="bookmark">Apache OFbiz service engine 源码解读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇看完了ofbiz entity engine,这篇再来过一下ofbiz的service engine.service engine层在设计模式的使用上跟entity engine有些类似,最典型的就是&quot;业务代表&quot;模式.service engine跟entity engine是紧密相关的,大部分的业务系统所要执行的服务都是跟关系数据库相关的. service engine对于服务编写的方式有着非常广泛的&quot;自由&quot;,你可以选择它内置引擎支持的任何一种方式来编写服务.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPGjrM.html" rel="bookmark" class="title">Serv-U ：快速构建功能强大的FTP 服务器</a>
					<div>
						Serv-U :快速构建功能强大的FTP 服务器 Internet 的迅速发展为人们提供的前所未有的信息资源,越来越多的人希望在享受Internet 带来的全新的体验的时候,能够拥有自己的网上家园.在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6WOXp.html" rel="bookmark" class="title">浅谈一个小网站的优化之路</a>
					<div>
						前言:这个网站优化是给一个朋友做的,是没有钱那种,嘿嘿.不过我的优化技术也不是特高,所以大家可不要拍砖啊.这个网站在建成的时候,是使用的一个CMS的模板,灵活性不够;当我为这个网站进行优化的时候从以下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yA13z.html" rel="bookmark" class="title">十步建立Linux VPN服务器</a>
					<div>
						1)安装DKMS包 rpm --install dkms-1.12- 2.noarch.rpm 这是动态内核模块支持.你需要在内核级用它简化安装和配置.这将在安装过程中使几乎所有东西对用户透明. 2) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElyGLz.html" rel="bookmark" class="title">高效的Java异常处理</a>
					<div>
						Java开发人员可以做出的最重要的架构性决策之一就是如何使用Java异常模型.Java异常一直以来就是社群中许多争议的靶子.有人争论到,在Java语言中的异常检查已是一场失败的试验.本文将辨析,失败的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2rRkb.html" rel="bookmark" class="title">记录asp&period;net网站是什么原因导致停止运行的代码</a>
					<div>
						 这篇文章主要介绍了记录asp.net网站是什么原因导致停止运行的具体实现 记录网站是什么原因导致停止运行还是有必要的,下面是具体的实现方式.  代码如下: protected void Applic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLdZkb.html" rel="bookmark" class="title">在PPT中插入公式的方法</a>
					<div>
						文/南新粉 在使用PowerPoint制作演示幻灯片的时候,常常用到公式,如何在PowerPoint中插入公式呢? 和Word一样,PowerPoint也有公式编辑器,单击&quot;插入&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKNLOM.html" rel="bookmark" class="title">php中浮点数计算问题</a>
					<div>
						  如果用php的+-*/计算浮点数的时候,可能会遇到一些计算结果错误的问题,比如echo intval( 0.58*100 );会打印57,而不是58,这个其实是计算机底层二进制无法精确表示浮点数的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl1rLz.html" rel="bookmark" class="title">php面向对象中static静态属性与方法的内存位置分析</a>
					<div>
						 这篇文章主要介绍了php面向对象中static静态属性与方法的内存位置,通过内存位置实例分析了static静态属性的原理与使用技巧,需要的朋友可以参考下     本文实例分析了php面向对象中sta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdn3YM.html" rel="bookmark" class="title">win7纯净版如何注册DLL文件？</a>
					<div>
						  DLL文件其实就是win7 64位旗舰版中的一种动态链接文件,它具体有什么作用咱们在这里就不细细的去探究了,不知道大家有没有注意到,很多时候,咱们win7纯净版电脑中都要求程序重新注册DLL文件, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WwV7b.html" rel="bookmark" class="title">gtk-我用GTK画出来的notebook里面文字是白色背景，怎么弄成透明的？跪求</a>
					<div>
						问题描述 我用GTK画出来的notebook里面文字是白色背景,怎么弄成透明的?跪求 刚接触GTK啊,找了好多API不行,多谢了. 解决方案 已经解决了, #if GTK_CHECK_VERSION  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad9Lgz.html" rel="bookmark" class="title">感谢帮忙！-VC串口数据处理绘制实时波形</a>
					<div>
						问题描述 VC串口数据处理绘制实时波形 MSCOMM控件编写串口接收,settings&quot;19200,n,8,1&quot; 接收到数据块:35 2e b7 36 8d 0a 53 d4 ac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR63gz.html" rel="bookmark" class="title">Javascript单元测试框架QUnitjs详细介绍&lowbar;javascript技巧</a>
					<div>
						一.什么是 QUnit QUnit(http://qunitjs.com/) 是一个非常强大的javascript单元测试框架,可以帮你调试代码.它是由 jQuery 团队的成员写的,而且是 jQue ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamg7Pb.html" rel="bookmark" class="title">语言课程设计-用vc6&period;0编写一个登陆界面，求大神</a>
					<div>
						问题描述 用vc6.0编写一个登陆界面,求大神 用户名与密码写在代码里 密码输入三次自动退出 并且登陆成功后可以运行九九乘法表这个小程序 谢谢各位大神 解决方案 还没说使用什么编程语言呢 解决方案二: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lXnKb.html" rel="bookmark" class="title">重复-java 中 ReentrantLock 高并发响应时间控制性能问题</a>
					<div>
						问题描述 java 中 ReentrantLock 高并发响应时间控制性能问题 如题,具体文案请移步--java 中 ReentrantLock 高并发响应时间控制性能问题 解决方案 http://m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6nKqM.html" rel="bookmark" class="title">从零开始学&lowbar;JavaScript&lowbar;系列（14）&mdash;&mdash;dojo&lpar;7&rpar;（饼图，BorderContainer，hashchange，弹窗）</a>
					<div>
						5/5更新.BorderContainer自适应在本地时正常使用的方法,请查看原文代码之前那一段话 (60)创建一个饼形图 比较简单的标签声明法:(只需要修改数据即可) ①首先,加载dojo文件和样式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6eZaz.html" rel="bookmark" class="title">图标字体 Font Awesome 中文站上线啦！全面兼容IE7&plus;</a>
					<div>
						作为最流行的图标字体Font Awesome,它被认为是为Bootstrap而创造的图标字体: 具有以下几大优点: 1.具体矢量图形性质,可以无限放大为不失真: 2.图标齐全,最新发布的4.1.0有4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlEqQb.html" rel="bookmark" class="title">WinXP下USB驱动开发&lpar;三&rpar;</a>
					<div>
						2.6.       端点.管道和接口 在USB开发当中这三个概念容易混淆,对于真实环境中的USB操作,端点.管道和接口更是不可忽略的,该三者关系如图2-6-1:   端点.在这里特指USB物理端点, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQaBDp.html" rel="bookmark" class="title">私有云是真正的云吗</a>
					<div>
						在当今竞争激烈的环境下,随时变化的业务要求需要灵活.快速地配置IT资源.除了灵活性外,传统的IT环境还需要新资源来支持应用程序的动态工作负载.这是一种可能性很大的情形:同一家企业组织里面的不同业务部门 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjle6p.html" rel="bookmark" class="title">不会部署服务器求帮助-&period;NET部署到远程服务器上，怎么部署</a>
					<div>
						问题描述 .NET部署到远程服务器上,怎么部署 我已经把程序发布到网站的一个文件夹里,数据库没有进行上传,现在打开网站,提示我无法解析服务器DNS,我的服务器是在国外,现在我应该怎么处理.我用的是C# ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeed7b.html" rel="bookmark" class="title">如何宏观理解大数据的流通版图</a>
					<div>
						数据大规模流通与交易将会盛行,很大程度上已成为了业界对大数据未来应用模式的一个共识. 连在&lt;中共中央关于制定国民经济和社会发展第十三个五年规划的建议&gt;和国务院印发&lt;促进大数据发展行动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY2Xmp.html" rel="bookmark" class="title">link中如何根据checkbox的值在多个属性中模糊查询？</a>
					<div>
						问题描述 link中如何根据checkbox的值在多个属性中模糊查询? link中如何根据checkbox的值在多个属性中模糊查询? 解决方案 参考: http://blog.csdn.net/q10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm7Jrb.html" rel="bookmark" class="title">sql server-myeclipse的jtable为何获取不到数据库的内容</a>
					<div>
						问题描述 myeclipse的jtable为何获取不到数据库的内容 package main; import java.sql.ResultSet; import java.sql.Statement ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYd1Zp.html" rel="bookmark" class="title">安卓监控进度条怎么实现</a>
					<div>
						问题描述 安卓监控进度条怎么实现 就像这张图片里的一样,红色指针始终在中间,左右拖动后面背景会动,这个该怎么实现,还有我想同时播放4个画面该怎么实现,求大神解答					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRNgOp.html" rel="bookmark" class="title">甩掉塞班系统包袱诺基亚新系统压力犹存</a>
					<div>
						文/刘佳 智能手机操作系统&quot;鼻祖&quot;塞班,经过14年跌宕起伏后宣告谢幕. &quot;2012年,在向Windows Phone过渡的过程中,我们继续销售塞班设备.去年年中推出的诺基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl85mp.html" rel="bookmark" class="title">解析娱乐明星如何在Facebook上招揽人气</a>
					<div>
						对于娱乐圈的明星来说,制造话题和吸引观众是他们永远不懈追求的事,而如今,互联网时代,娱乐圈或许称得上是最会运用Facebook页面来吸引粉丝注意的产业,不过,想成为像女神卡卡般拥有上千万粉丝,可不是每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKw8vb.html" rel="bookmark" class="title">阿里巴巴抢货节各省特色货源竞争优势明显</a>
					<div>
						在刚刚结束的阿里巴巴抢货节上,各省区域产业集群特色的商品显示出了强劲的竞争优势.浙江织里童装.广州白马女装.福建泉州男装.山东即墨童装等都成为大促中最畅销的货品.这一天,阿里巴巴中国站在线交易量比平时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK6a3p.html" rel="bookmark" class="title">Andorid学习之游戏背景移动</a>
					<div>
						借助Bitmap和createBitmap方法可以挖取源位图的一块,这样可以在程序中通过定时器不断的挖取源位图中的不同块,给游戏者一种背景在移动,即对象在向前移动的假象. import java.ut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBKdnM.html" rel="bookmark" class="title">区块链技术指2&period;2　以太坊</a>
					<div>
						2.2 以太坊 2.2.1 什么是以太坊 自2008年比特币出现以来,数字货币的存在已经渐渐为一部分人所接受.人们也积极展开了基于比特币的商业应用的思考与开发.但是随着应用的扩展,人们发现比特币的设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eo4rb.html" rel="bookmark" class="title">谷歌GCE vs&period; 亚马逊EC2：快源于谷歌本有的底蕴</a>
					<div>
						Sebastian Stadil -- Scalr(云管理工具制造公司)和SVCCG(世界上最大的云计算用户组织)创始人,下面我们来了解一下他对两个服务的测试结果. 以下为译文: 测试的背景以及先决条 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nXAnz.html" rel="bookmark" class="title">odbc-关于ODBC中SQLDriverConnect 和 SQLDriverConnectW连接问题</a>
					<div>
						问题描述 关于ODBC中SQLDriverConnect 和 SQLDriverConnectW连接问题 Hi,Guys 在采用unixODBC连接Mysql数据库,遇到以下问题: 使用SQLDriv ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.037 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
